Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 598430 - kde-apps/krfb-16.08.2: fails to build w/ gcc-6
Summary: kde-apps/krfb-16.08.2: fails to build w/ gcc-6
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard: fixed in 16.12
Keywords: PATCH
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-10-29 12:11 UTC by Jonathan Scruggs (RETIRED)
Modified: 2016-12-16 18:46 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
krfb-16.08.2-fix-build-by-undefining-max-macro.patch (krfb-16.08.2-fix-build-by-undefining-max-macro.patch,659 bytes, patch)
2016-10-29 12:11 UTC, Jonathan Scruggs (RETIRED)
Details | Diff
krfb-16.08.2-r1.ebuild (krfb-16.08.2-r1.ebuild,1.05 KB, text/plain)
2016-10-29 12:14 UTC, Jonathan Scruggs (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Scruggs (RETIRED) gentoo-dev 2016-10-29 12:11:43 UTC
Created attachment 451834 [details, diff]
krfb-16.08.2-fix-build-by-undefining-max-macro.patch

Attached is a patch that is in official upstream master repository. It's not in the 16.08 branch so I'm guessing it will not be released in a point release. This is the official fix to this bug: https://bugs.gentoo.org/show_bug.cgi?id=582954

Patching libvncserver with that patch may cause future incompatibilities with the next release of krfb; the above mentioned bug report can thus be closed. I have tested this with gcc 6.2.0-r1 recompiling both libvncserver and krfb.
Comment 1 Jonathan Scruggs (RETIRED) gentoo-dev 2016-10-29 12:14:41 UTC
Created attachment 451838 [details]
krfb-16.08.2-r1.ebuild

Ebuild I used to test the patch.

I found out the hard way that kde apps don't use user patches in /etc/portage/patches even though it's EAPI 6. Bug or on purpose?
Comment 2 Jonathan Scruggs (RETIRED) gentoo-dev 2016-10-29 12:21:12 UTC
Correction. I just noticed that libvncserver upstream has that other patch in the above bug report in their master branch: https://github.com/LibVNC/libvncserver/commit/53cc1fa18a3b96d2c31a145d971017564fca39bb

This will be interesting to see how these two programs interact with each other as they both did different fixes.
Comment 4 Johannes Huber gentoo-dev 2016-11-15 20:09:14 UTC
(In reply to Johannes Huber from comment #3)
> Thanks.
> 
> https://gitweb.gentoo.org/repo/gentoo.git/commit/
> ?id=e805750640ffcd5150e817e77162f388021b8c0f

Sorry, wrong bug.
Comment 5 Mike Lothian 2016-11-30 14:22:28 UTC
This fix is also needed for 16.08.3
Comment 6 devsk 2016-12-13 07:02:04 UTC
Is this going to be added to 16.08.3 version?
Comment 7 Andreas Sturmlechner gentoo-dev 2016-12-13 10:01:30 UTC
I suspect rather than that, Applications release 16.12 should arrive in a few days.